
#include <stdio.h>
#include "..\..\..\j2k-codec.h"

int main()
{
 void *j2k_image;
 int   j2k_ver, j2k_err, width, height, components, resolutions=0, rWidth, rHeight, i; 

	
 j2k_ver = J2K_getVersion();

 if(j2k_ver < 0x110000) return -1; /* This way you can make sure the version is at least 1.1 (or any other required) */

 printf("\n J2K-Codec version: %x.%x (build %u)\n", (j2k_ver>>16)&0x0F, j2k_ver>>20, j2k_ver&0xFFFF); 


 /* Basic info */

 j2k_image = J2K_OpenFile("test.j2k"); 
 if(!j2k_image){ printf("\n J2K-Codec error: %s.\n", J2K_getLastErrorStr()); return -1; }

 j2k_err = J2K_GetInfo(j2k_image, &width, &height, &components);
 if(j2k_err != J2KERR_SUCCESS){ printf("\n J2K-Codec error: %s.\n", J2K_getErrorStr(j2k_err)); return -1; }

 printf("\n Image info: %ux%u, %u component(s).\n", width, height, components);


 /* Advanced info */

 j2k_err = J2K_GetResolutions(j2k_image, &resolutions);
 if(j2k_err != J2KERR_SUCCESS) printf("\n J2K-Codec error: %s.\n", J2K_getErrorStr(j2k_err));

 printf("\n %u resolution(s) available.\n\n", resolutions);

 for(i=0; i<resolutions; i++)
 {
  J2K_GetResolutionDimensions(j2k_image, i, &rWidth, &rHeight);
  printf(" - Resolution %u: %ux%u\n", i, rWidth, rHeight);
 }


 J2K_Close(j2k_image);

 return 0;
}
